<?php
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/siti_conf.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";
$time=time();
$time_ban=round($udata[38]-$time);
$time_otkup=round($udata[176]-$time);
if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!=""){
if($log!=""){
if($time_ban>0){
if(!isset($action)){
echo'<img src="../images/img/partners.gif" alt=""> <b>Бан пользователя</b><br><br>';
echo'<img src="../images/img/error.gif" alt=""> <b>Вас забанили</b><br><br>';	
echo'<b><font color="#FF0000">Причина бана: '.$udata[39].'</font></b>';
echo'<br>До окончания бана осталось '.formattime($time_ban);
echo'</br><b><a href="ban.php?action=gb&amp;'.SID.'">Скоротать время</a></b>';	
SetCookie("cookid", "1",time()+3600*24*30);
if($siti_otkup==1){	
if($udata[41]>=$cen_otkup){
if($udata[36]>=$bal_otkup){	
if($udata[176]<=$time){
if($udata[177]==5){echo '<br>Могу предложить откупиться!<br>Монеты: '.$cen_otkup.' $<br>Балы сайта: '.$bal_otkup.'<br><form action="ban.php?action=go" method="post">
<input type="submit" value="Откупиться от бана"></form><font color="#FF0000">Следующий откуп только через '.$interval_otkup.' час !</font>';}else{echo '<br><font color="#FF0000"><b>Вы забанены не Онлайн Городом!</b></font>';}}else{echo '<br><font color="#FF0000"><b>Вы уже откупались!!!<br>Oсталось подождать: '.formattime($time_otkup).'</b></font>';}}else{echo '<br><font color="#FF0000"><b>Откуп не предлагаю он стоит '.$bal_otkup.' балов!</b></font><br>А у вас: '.$udata[36].' балов.';}}else{echo '<br><font color="#FF0000"><b>Откуп не предлагаю он стоит '.$cen_otkup.' монет!</b></font><br>А у вас: '.$udata[41].' монет.';}}else{echo '<br><font color="#FF0000"><b>Откуп запрещён администратором!</font>';}
echo '<br><br>Общее число строгих нарушений: <b>'.(int)$udata[64].'</b><br>';
echo 'Внимание, максимальное количество нарушений: 5<br>';
echo 'При превышении лимита нарушений ваш профиль автоматически удаляется<br>';
echo 'Востановление профиля или данных после этого будет невозможным<br>';
echo 'Будьте внимательны, старайтесь  не нарушать больше правил<br>';
//--------------------------------------------------//
if($config_addbansend==1){
if($udata[73]==1){
if($config_themes!="wml"){
echo'<br><form method="post" action="ban.php?action=send&amp;'.SID.'">';
echo'Объяснение:<br>';
echo'<textarea cols="25" rows="3" name="mess"></textarea><br>';
echo'<input value="Отправить" name="do" type="submit" /></form><hr>';
}else{
echo'Объяснение:<br>';
echo'<input name="mess"/><br>';
echo'<anchor>Отправить';
echo'<go href="ban.php?action=send&amp;'.SID.'" method="post">';
echo'<postfield name="mess" value="$(mess)"/>';
echo'</go></anchor><br>--------------------<br>'; }
echo 'Если модер вас забанил по ошибке или вы считаете, что бан не заслужен, то вы можете написать объяснение своего нарушения<br>';
echo 'В случае если ваше объяснение будет рассмотрено и удовлетворено, то возможно вас и разбанят<br>';}}}
//---------------------- Отправка объяснения ------------------------------//
if($action=="send"){
if($config_addbansend==1){
if($udata[63]!=""){
if($udata[73]==1){
if(strlen($mess)>6){
$mess = check($mess);
$mess=substr($mess,0,1500);
$mess = antimat($mess);
$mess = smiles($mess); 
$mess=base64_encode('Объяснение нарушения: '.$mess);
$tex=$log.'|'.$mess.'|'.$currDate.' / '.$currTime.'|'; 
$tex=preg_replace ("|[\r\n]+|si","",$tex);
$fp=fopen(BASEDIR."local/privat/$udata[63].$config_priv","a+");  
flock ($fp,LOCK_EX);                                                              
fputs($fp,"$tex\r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);  
//------------------------------ Запись в чужой профиль ----------------------------//
$uzfile = file(BASEDIR."local/profil/$udata[63].prof"); 
$uzdata = explode(":||:",$uzfile[0]);
$uzdata[10]++;
for ($u=0; $u<$config_userprofkey; $u++){
$uztext.=$uzdata[$u].':||:';}
if($uzdata[0]!="" && $uzdata[1]!="" && $uzdata[4]!="" && $uztext!=""){
$fp=fopen(BASEDIR."local/profil/$udata[63].prof","a+");  
flock ($fp,LOCK_EX); 
ftruncate ($fp,0);                                                              
fputs($fp,$uztext);
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);  
unset($uztext);	 }
//------------------------------ Запись в профиль ----------------------------//
$ufile = file(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile[0]);
$udata[73]=0;
for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}
if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","a+");  
flock ($fp,LOCK_EX); 
ftruncate ($fp,0);                                                              
fputs($fp,$utext);
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);  
unset($utext);}
header ("Location: ban.php?isset=addbansend&".SID); exit;
}else{ echo 'Ошибка! Слишком короткое объяснение!<br>';}
}else{ echo 'Ошибка! Вы уже писали объяснение!<br>';}
}else{ echo 'Ошибка! Вам запрещено писать объяснение<br>';}
}else{ echo 'Писать объяснительные запрещено админом<br>';}
echo'<br><img src="../images/img/back.gif" alt=""> <a href="ban.php?'.SID.'">Вернуться</a>';}}else{
if($udata[38]!=""){
echo'<img src="../images/img/partners.gif" alt=""> <b>Бан пользователя</b><br><br>';
echo '<img src="../images/img/open.gif" alt=""> ВЫ БЫЛИ ЗАБАНЕНЫ<br><br>';
if($udata[39]!=""){echo '<b><font color="#FF0000">Причина бана: '.$udata[39].'</font></b><br>';}
echo 'Поздравляем!!! Время вашего бана вышло, постарайтесь вести себя достойно и не нарушать правила сайта<br>';
echo '<br>Рекомендуем ознакомиться с <b><a href="pravila.php?'.SID.'">Правилами сайта</a></b><br>'; 
$ufile = file(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile[0]);
$udata[37]=0;
$udata[38]='';
$udata[39]='';
$udata[177]='';
for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}
if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","w"); 
flock($fp,LOCK_EX); 
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp); 
unset($utext);}
SetCookie("cookid", "0",time()+3600*24*30);}}
}else{header ("Location: ../index.php?".SID);}
}else{header ("Location: ../index.php?".SID);}
if($action=="go"){ 
if($udata[176]<$time){
if($udata[177]="5"){
if($udata[41]>="5000"){
if($udata[36]>="100"){ 
$ufile = file(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile[0]);
$time=time();
$udata[41]=$udata[41]-5000;
$udata[36]=$udata[36]-100;
$udata[38]=$time;
$udata[176]=round($time+(720*60));
$udata[177]="";
for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}
if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen("../local/profil/$log.prof","a+"); 
flock($fp,LOCK_EX); 
ftruncate($fp,0); 
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp); 
unset($utext);} 
$ufiles = file(BASEDIR."local/profil/Kopilka.prof"); 
$udatas = explode(":||:",$ufiles[0]);
$udatas[41]=$udata[41]+5000;
$udatas[199]="Откупился от бана $log 5000";
for ($us=0; $us<$config_userprofkey; $us++){
$utexts.=$udatas[$us].':||:';}
if($udatas[0]!="" && $udatas[1]!="" && $udatas[4]!="" && $utexts!=""){
$fp=fopen("../local/profil/Kopilka.prof","a+"); 
flock($fp,LOCK_EX); 
ftruncate($fp,0); 
fputs($fp,$utexts);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp); 
unset($utexts); }
header ("Location: ../pages/ban.php?log=$log&".SID);}}}}}
####################### Общение в бане ###################
if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105){$siti_strk = file(BASEDIR."local/navigator/conf/admin.dat"); $siti_admin = explode("|",$siti_strk[0]);if ($dostup==101){$st=$siti_admin[0];}if ($dostup==102){$st=$siti_admin[1];}if ($dostup==103){$st=$siti_admin[2];}if ($dostup==105){$st=$siti_admin[3];}}else{$td = @file("../local/navigator/$log.game");$gv= explode(":||:",$td[0]);$avs=trim($gv[14]);include_once"../template/siti_status.php";}
if (!$udata[38]=="" || !$udata[37]==0){
if($action=="pismo"){
echo'<div class=b><img src="../images/img/edit.gif" alt=""> Письмо на волю!</div>';
echo'Ну ,что заключённый '.$log.' скучно?<br>Кого хотелось бы позвать?';
$nfile=file(BASEDIR."local/online.dat");
foreach($nfile as $key=>$value){
$ndata=explode('#',$nfile[$key]);
if($ndata[2]!==""){
if($ndata[2]!==$log){
$on_users[]=$ndata[2];}}}
arsort($on_users);
echo'<form action="ban.php?action=da" method="post">';
echo"Юзеры:<br>";
echo"<select title=\"В онлайн:\" name=\"pismo\">";
foreach($on_users as $k=>$v){
$uz=$on_users[$k]; $postsall=$v;
echo"<option value=\"$on_users[$k]\">$on_users[$k]</option>";}
echo "</select><br>";
echo'<br><input type="submit" value="Написать"></form>';}
if($action=="da"){
$ufd = file(BASEDIR."local/profil/$pismo.prof");
$udat = explode(":||:",$ufd[0]);
$udat[10]=trim($udat[10]+1);
for ($u=0; $u<$config_userprofkey; $u++){
$ute.=$udat[$u].':||:';}
if($udat[0]!="" && $udat[1]!="" && $udat[4]!="" && $ute!=""){
$fp=fopen("../local/profil/$pismo.prof","a+"); 
flock($fp,LOCK_EX); 
ftruncate($fp,0); 
fputs($fp,$ute);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp); 
unset($ute);}
$mess=''.$pismo.' Вас, позвал пообщаться <b>'.$log.'</b> в <b><a href="ban.php?action=gb&amp;'.SID.'">Бан чат</a></b>.';
$mess=base64_encode($mess);
$tex="Почтальон|$mess|$currDate";
$fp=fopen("../local/privat/$pismo.priv","a+"); 
flock
($fp,LOCK_EX); 
fputs($fp,"$tex \r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp); 
@chmod("$fp", 0777);
@chmod("../local/privat/$pismo.priv", 0777);
header ("Location: ban.php?action=gb&isset=addon$".SID);}}
if($action=="gb"){
include_once"../template/onliner.php";
echo'<div class=b><img src="../images/img/edit.gif" alt=""> Тюремная переписка</div>';
if (!$udata[38]=="" || !$udata[37]==0){
echo'Осталось: <font color="red">'.formattime($time_ban).'</font> бана.';}
echo'<form action="ban.php?action=addkomm&'.SID.'" method="post">
<textarea cols="25" rows="3" name="msg"></textarea><br>
Транслит: <input name="trans" type="checkbox" value="y"><br>
<input name="name" type="hidden" value="'.$log.'">
<input type="submit" value="Написать"></form>';
echo'| <a href="ban.php?action=gb&amp;'.SID.'">Обноаить</a> |';
if (!$udata[38]=="" || !$udata[37]==0){
echo' <a href="ban.php?action=pismo&amp;'.SID.'">Позвать</a> |';}
if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105){
echo' <a href="ban.php?action=och&amp;'.SID.'">Очистить</a> |';}
############################################################################
$file = file("../local/turma.dat");
$total = count($file);
$file = array_reverse($file);
if($total<1){echo '<hr><b>Добро пожаловать в нашу зону!</b><hr>';}
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + $config_bookpost){ $end = $total;}
else {$end = $start + $config_bookpost; }
for ($fm = $start; $fm < $end; $fm++){
$data = explode("|",$file[$fm]);
$data[0]=eregi_replace("((https?|ftp)://[[:alnum:]_=/-]+(\\.[[:alnum:]_=/-]+)*(/[[:alnum:]+&amp;._=/~%#]*(\\?[[:alnum:]?+&amp;_=/%#]*)?)?)", "[Реклама запрещена]", $data[0]);
$data[0] = bb_code($data[0]);
$num=$total-$fm-1;
$data=preg_replace ("|[\r\n]+|si","",$data);
$data[5]=str_replace("\r\n", "", $data[5]);
$dr=$data[3];
if($data[3]==$guestsuser){echo'';}else{
$tex = file("../local/profil/$dr.prof");
$lt = explode(":||:",$tex[0]);
$pr=trim($lt[43]);
if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105){ 
echo'</div><div class=b><img src="../images/smiles2/ment.gif" alt="">';}else{
echo"</div><div class=b><img src=\"../$pr\" alt=\"\">";}
echo'<font color="gold">'.$data[3].'</font>';
echo'<small> ('.$data[1].')</small><br>';		
if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105){ 
echo'[<a href="?action=del&amp;subdel='.$num.'&amp;start='.$start.'&amp;'.SID.'"><font color="#33FF00">DEL</font></a>] ';}
/////////////////////////////Вывод коментов////////////////////////////////////
echo"</div><div>$data[0]</div>";
if ($data[4]!=""){echo'<small><b>Статус в зоне:<font color="#33FF00"> '.$data[4].'</font></small></b>';}}}
#################################
if($total>0){
$ba=ceil($total/$config_bookpost);
$ba2=$ba*$config_bookpost-$config_bookpost;
echo '<hr>Стр:';
$asd=$start-($config_bookpost*3);
$asd2=$start+($config_bookpost*4);
if($asd<$total && $asd>0){echo ' <a href="ban.php?action=gb&amp;start=0&amp;'.SID.'">1</a> ... ';}
for($i=$asd; $i<$asd2;){
if($i<$total && $i>=0){
$ii=floor(1+$i/$config_bookpost);
if ($start==$i) {
echo ' <b>('.$ii.')</b>';
}else {echo ' <a href="ban.php?action=gb&amp;start='.$i.'&amp;'.SID.'">'.$ii.'</a>';}}
$i=$i+$config_bookpost;}
if($asd2<$total){echo ' ... <a href="ban.php?action=gb&amp;start='.$ba2.'&amp;'.SID.'">'.$ba.'</a>';}}
if(!$udata[37]==0){
echo'<br><br>&#187; <a href="ban.php?'.SID.'">В зону</a>';}else{echo'<br>';}
echo'<br>&#187; <a href="../index.php?'.SID.'">На главную</a>';}
############################ Запись коментариев #################################
if($action=="addkomm"){
if (isset ($_GET['msg']) or isset ($_GET['name'])){header ("Location: ../index.php?isset=posts&".SID); exit;}

if($config_floodstime > 0){if(flooder($ip, $php_self) == TRUE ){header ("Location: ban.php?action=gb&isset=antiflood&".SID); exit;}$flood_file = fopen(BASEDIR."local/flood.dat", "a+");flock ($flood_file,LOCK_EX);fputs ($flood_file,"$time|$ip|$php_self|\r\n");fflush($flood_file);flock ($flood_file,LOCK_UN);fclose($flood_file);}
$date=date("d.m.y");
$time=date("H:i");
$file = @file("../local/turma.dat");
$total = count($file);
$msg=wordwrap($msg,150,' ',1);
$msg=substr($msg,0,1200);
$msg=check($msg);
$name=check($name);
if($trans=="y"){$msg=transliter($msg);}
$msg = antimat($msg);
$msg = smiles($msg);
$data1 = explode("|",$file[$total]);
$text=$msg.'|'.$date.'|'.$time.'|'.$name.'|'.$st.'||';
$text=str_replace("\r\n", "<br>", $text);
$fp=fopen("../local/turma.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
@chmod("$fp", 0777);
@chmod("../local/turma.dat", 0777);
$file=file("../local/turma.dat"); $i = count($file);
if ($i>=$config_maxpostnews) {
$fp=fopen("../local/turma.dat","w");
flock ($fp,LOCK_EX);
unset($file[1]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
@chmod("$fp", 0777);
@chmod("../local/turma.dat", 0777);}
$ufiles = file(BASEDIR."local/profil/$log.prof"); 
$udatas = explode(":||:",$ufiles[0]);
$udatas[41]=$udata[41]+1;
$udatas[36]=$udata[36]+1;
for ($us=0; $us<$config_userprofkey; $us++){
$utexts.=$udatas[$us].':||:';}
if($udatas[0]!="" && $udatas[1]!="" && $udatas[4]!="" && $utexts!=""){
$fp=fopen("../local/profil/$log.prof","a+"); 
flock($fp,LOCK_EX); 
ftruncate($fp,0); 
fputs($fp,$utexts);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp); 
unset($utexts); }
header("Location: ban.php?action=gb&isset=addon&".SID);}
############################### Редактирование ######################
if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105){ 
////////////////////////////////Удаление коментария////////////////////////////////
if($action=="del") {
if(isset($subdel)){
$file=file("../local/turma.dat");
$fp=fopen("../local/turma.dat","w");
flock ($fp,LOCK_EX);
for ($i=0;$i< sizeof($file);$i++) { if ($i==$subdel) {unset($file[$i]);} }
fputs($fp, implode("",$file));	
flock ($fp,LOCK_UN);
fclose($fp);
header ("Location: ban.php?action=gb&".SID);}}
if($action=="och") {
$file=file("../local/turma.dat");
$fp=fopen("../local/turma.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
header ("Location: ban.php?action=gb&".SID);}}
include_once"../themes/$config_themes/foot.php";
?>